Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3292 - request additional RPM interpolations
Summary: request additional RPM interpolations
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm-build
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-05 20:58 UTC by kestes
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-29 21:48:12 UTC


Attachments (Terms of Use)

Description kestes 1999-06-05 20:58:58 UTC
I would like to use the -f flag or a shell backtick to
generate the build_dependencies and the prerequisites.

There are several makefile generation scripts arround
(like MakeMaker for perl) which know the requirements
for the product.  It would be nice if there was a scriptable
way to get this information into the specfile automatically.

Obviously build_dependencies need to get the data right away
and prerequisites  should only be evaluated after the
install since this information might not be availible till
then (I was using the dependency output of the jikes java
compiler -M to make my prerequsites before I knew how to
parse the java class files.  This situation could come up
again as new languages are invented and buildtime
dependencies are taken care of before runtime
dependencies.)

Ken

Comment 1 Jeff Johnson 2001-02-21 19:21:04 UTC
Changing component.

Comment 2 Bill Nottingham 2005-09-29 21:48:12 UTC
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

For RPM issues, please try a current release such as Fedora Core 4; if bugs
persist, please open a new issue.


Note You need to log in before you can comment on or make changes to this bug.